% Map probability vector phi to the SI-plane
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%      Exact numerical integration of the master     %%%%%%%%%%%%
%%%%%%%%%%%        equation in some models of stochastic       %%%%%%%%%%%%
%%%%%%%%%%%                     epidemiology                   %%%%%%%%%%%%
%%%%%%%%%%%              FIGURE GENERATION SOFTWARE            %%%%%%%%%%%%
%%%%%%%%%%%             Authors: Jenkinson/Goutsias            %%%%%%%%%%%%
%%%%%%%%%%%              Last Modified: 01/13/2012             %%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
function [Rprobs,SIprobs] = mapProbs(probVect,hyperCubeOrigin,hyperCubeExtent,s0,i0)

SIprobs = zeros(763,764);
Rprobs  = zeros(764,1);

%
% map probability to 2D S-I plane
%
count = 1;
for z2 = hyperCubeOrigin(2):hyperCubeExtent(2)
    for z1 = hyperCubeOrigin(1):hyperCubeExtent(1)
        if probVect(count)>0
            SIprobs(1+s0-z1,1+i0+z1-z2) = SIprobs(1+s0-z1,1+i0+z1-z2) + probVect(count);
            Rprobs(1+z2) = Rprobs(1+z2) + probVect(count);
        end
        count=count+1;
    end
end