% Write RIE results to file
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%      Exact numerical integration of the master     %%%%%%%%%%%%
%%%%%%%%%%%       equation in some models of stochastic        %%%%%%%%%%%%
%%%%%%%%%%%                    epidemiology                    %%%%%%%%%%%%
%%%%%%%%%%%              RIE METHOD (FIXED STEP-SIZE)          %%%%%%%%%%%%
%%%%%%%%%%%              Authors: Jenkinson/Goutsias           %%%%%%%%%%%%
%%%%%%%%%%%               Last Modified: 01/13/2012            %%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%

% open file for writing
fid = fopen('results/report.txt','w');

fprintf(fid,'----------------------------------------------\n');
fprintf(fid,'Parameters of RIE simulation (fixed step-size)\n');
fprintf(fid,'----------------------------------------------\n\n');

fprintf(fid,'simulation time = %2i days\n\n',tf);

fprintf(fid,'tau timestep parameter = %6.3E \n',tau);

fprintf(fid,'\n----------------------------------------------\n');
fprintf(fid,'Results of RIE simulation (fixed step-size)\n');
fprintf(fid,'----------------------------------------------\n\n');

fprintf(fid,'CPU time = %3d seconds\n\n',int32(timeElapsed));

fprintf(fid,'L2 error = %6.2e \n\n',FinalError);

fclose(fid);